<?php

class Interspire_Validator_ImageSize extends Interspire_Validator_Abstract
{
	/**
	 * @var Int $filesize
	 */
	public $filesize;

	/**
	 * @var Int $filelimit
	 */
	public $filelimit = 2000000;

	/**
	 * @param Int $filesize
	 * 
	 * @return Void
	 */
	public function __construct($filesize) {
			$this->filesize = $filesize;
	}

	/**
	 * @return Bool
	 */
	public function isValid()
	{
		if ($this->filesize <= $this->filelimit) {
			return true;
		}
		return false;
	}
}